Loading...
Searching...
No Matches
osmium::io::Decompressor Class Referenceabstract

`#include <compression.hpp>`

Inheritance diagram for osmium::io::Decompressor:
[legend]

## Public Types

enum | { input_buffer_size = 1024U * 1024U }

## Public Member Functions

| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual std::string | read ()=0
virtual void | close ()=0
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes

std::atomic< std::size_t > * | m_offset_ptr {nullptr}
std::atomic_bool | m_want_buffered_pages_removed {false}

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
input_buffer_size |

## Constructor & Destructor Documentation

## Decompressor() [1/3]

osmium::io::Decompressor::Decompressor | ( |  | ) |

default

## Decompressor() [2/3]

osmium::io::Decompressor::Decompressor | ( | const Decompressor & |  | ) |

delete

## Decompressor() [3/3]

osmium::io::Decompressor::Decompressor | ( | Decompressor && |  | ) |

delete

## ~Decompressor()

virtual osmium::io::Decompressor::~Decompressor | ( |  | ) |

virtual default noexcept

## Member Function Documentation

## close()

virtual void osmium::io::Decompressor::close | ( |  | ) |

pure virtual

Implemented in osmium::io::Bzip2Decompressor, osmium::io::Bzip2BufferDecompressor, osmium::io::DummyDecompressor, osmium::io::NoDecompressor, osmium::io::GzipDecompressor, and osmium::io::GzipBufferDecompressor.

## is_real()

virtual bool osmium::io::Decompressor::is_real | ( |  | ) | const

inline virtual noexcept

Reimplemented in osmium::io::DummyDecompressor.

## operator=() [1/2]

Decompressor & osmium::io::Decompressor::operator= | ( | const Decompressor & |  | ) |

delete

## operator=() [2/2]

Decompressor & osmium::io::Decompressor::operator= | ( | Decompressor && |  | ) |

delete

## read()

virtual std::string osmium::io::Decompressor::read | ( |  | ) |

pure virtual

Implemented in osmium::io::Bzip2Decompressor, osmium::io::Bzip2BufferDecompressor, osmium::io::DummyDecompressor, osmium::io::NoDecompressor, osmium::io::GzipDecompressor, and osmium::io::GzipBufferDecompressor.

## set_offset()

void osmium::io::Decompressor::set_offset | ( | const std::size_t | offset | ) |

inline noexcept

## set_offset_ptr()

void osmium::io::Decompressor::set_offset_ptr | ( | std::atomic< std::size_t > * | offset_ptr | ) |

inline noexcept

## set_want_buffered_pages_removed()

void osmium::io::Decompressor::set_want_buffered_pages_removed | ( | bool | value | ) |

inline noexcept

## want_buffered_pages_removed()

bool osmium::io::Decompressor::want_buffered_pages_removed | ( |  | ) | const

inline noexcept

## Member Data Documentation

## m_offset_ptr

std::atomic<std::size_t>* osmium::io::Decompressor::m_offset_ptr {nullptr}

private

## m_want_buffered_pages_removed

std::atomic_bool osmium::io::Decompressor::m_want_buffered_pages_removed {false}

private

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp